#![feature(duration_constructors)]
use bevy::{prelude::*, diagnostic::{FrameTimeDiagnosticsPlugin, LogDiagnosticsPlugin}};
use bevy_inspector_egui::quick::WorldInspectorPlugin;

pub mod map;
pub mod camera;
pub mod ui;
pub mod time;

#[bevy_main]
pub fn main() {
    App::new()
        .add_plugins((
            DefaultPlugins,
            // WorldInspectorPlugin::default(),
            camera::Plugin,
            map::Plugin,
            ui::Plugin,
            time::Plugin,
            FrameTimeDiagnosticsPlugin,
            LogDiagnosticsPlugin {
                filter: Some(vec![FrameTimeDiagnosticsPlugin::FPS]),
                ..Default::default()
            }
        ))
        .run();
}