use std::time::Duration;

use bevy::prelude::*;

pub struct Plugin;
impl bevy::prelude::Plugin for Plugin {
    fn build(&self, app: &mut App) {
        app.insert_resource(GameTime {
                current: Duration::ZERO,
                speed: 24. * 60. * 60. * 365.
            })
            .add_systems(PreUpdate, update_time);
    }
}

#[derive(Resource)]
pub struct GameTime {
    pub current: Duration,
    speed: f32 // = game time / real time
}

fn update_time(
    mut gt: ResMut<GameTime>,
    time: Res<Time>
) {
    let speed = gt.speed;
    gt.current += Duration::from_secs_f32(time.delta_secs() * speed);
}